    ©Copyright 2002-2004 Marvell®.
    All rights reserved

    yukonw9x.htm created 17-Mar-2004

    Readme File for YUKONW9X.sys v6.36
    Marvell Yukon Gigabit Ethernet Adapter

    NDIS5 Miniport Driver for Windows ME and 98SE

# This file contains

1 Overview
2 Required Files
3 Installation

3.1 Installing the driver
3.2 Updating the driver

4 Parameters
5 Troubleshooting

## 1 Overview

    YUKONW9X.sys is the NDIS5 32-bit Miniport driver for the
    Marvell Yukon Gigabit Ethernet Adapter.

    This driver supports only Windows ME and 98SE.
    This README file explains how to install the Miniport driver on a machine
    running Windows ME and 98SE.

    This YUKONW9X NDIS5 Miniport driver cannot be used with other
    Windows versions than Windows ME and 98SE.

## 2 Required Files

    To install the driver, the following files are required:
    YUKONW9X.sys Marvell Yukon Gigabit Ethernet Adapter NDIS5 Miniport driver
    yukonw9x.inf installation setup script

## 3 Installation

3.1 Installing the driver

    Read the installation instructions in the adapter manual carefully.
    Follow these instructions to install the adapter in your computer.

    NOTE: Do *not* try to install a driver for a PCI adapter using the
    CONTROL PANEL / NETWORK / CONFIGURATION / ADD / ADAPTER utility of
    Windows ME and 98SE. Windows ME and 98SE will always detect new PCI hardware
      during the boot process. You will be asked for a respective driver
    diskette if the system does not find the respective installation    .INF
    file in its system directories.

    If you install Windows ME and 98SE with an already inserted Marvell Yukon
    Gigabit Ethernet Adapter, then Windows ME and 98SE may identify the adapter
    as an "Unknown Device".

    In this case, remove this "Unknown Device" after you have completed the
    installation of Windows ME and 98SE:

    1. Click CONTROL PANEL / SYSTEM / DEVICE MANAGER.
    2. In the "Device Manager" window click VIEW DEVICES BY TYPE.
    3. Examine the list of devices under "Computer".
       The "Unknown Device" is listed under "Other Devices".
    4. Click OTHER DEVICES.
       The "PCI Ethernet Controller" is displayed.
    5. Click PCI ETHERNET CONTROLLER.
    6. Click REMOVE.
    7. Reboot Windows ME and 98SE.
    8. Follow the installation instructions below.

    With PCI adapters, due to the plug & play facility of PCI, the Windows ME
    and 98SE system is able to find, identify, and configure an adapter
    automatically.

    To install the driver, proceed as follows:
    1. Install the Marvell Yukon Gigabit Ethernet Adapter in your computer.
    2. Start Windows ME and 98SE.
    Windows ME and 98SE will detect the Marvell Yukon Gigabit Ethernet Adapter
    during boot operation.
    3. Follow the instructions given by Windows ME and 98SE to install the
    driver.
    4. If Windows ME and 98SE asks for a path, enter the path to the required
    files   depending on the type of medium (e.g. CD-ROM, floppy diskette,
    network   drive, etc.) containing the YUKONW9X driver files.  5. To
    configure any driver options for your Marvell Yukon Gigabit Ethernet
    Adapter, follow   the instructions in the section "Driver Options" in this
    readme file.

3.2 Updating the driver

    To update an already installed driver for your Marvell Yukon Gigabit
    Ethernet Adapter, proceed as follows:

    1.  Click CONTROL PANEL / SYSTEM.
    2. Click DEVICE MANAGER / NETWORK ADAPTERS / Marvell Yukon Gigabit Ethernet
    Adapter /   PROPERTIES / DRIVER.
    3.  Click UPDATE DRIVER.
    4.  When prompted "Do you want Windows to search for the driver", select
        the check box "No, select driver from list".
    5.  Click HAVE DISK.
    6.  Enter the path to the required files depending on the type of medium
        (e.g.CD-ROM, floppy diskette, network drive, etc.) containing the
        YUKONW9X driver files.
    7.  Click OK.
    8.  Select the Marvell Yukon Gigabit Ethernet Adapter.
    9.  Click OK.
    10. After Windows ME and 98SE has copied the driver files, reboot the
    computer.

    Please note that the latest version of the YUKONW9X driver is
    available for download from our web site.

## 4 Parameters

    The YUKONW9X.sys driver allows you to modify several options in order to
    optimize the operation of your Marvell Yukon Gigabit Ethernet Adapter.

    2.  Select "Properties".
    3.  Click "Configure".
    4.  Click "Advanced".
    5.  In the "Property" box, select the option that you want to change.
    6.  Enter the desired value in the "Value" box.
    7.  When finished, click OK .

        Windows ME and 98SE will reload the driver with the changed settings.

    1.  Start NETWORK from the CONTROL PANEL.
    2.  Select CONFIGURATION.
    3.  Select the Marvell Yukon Gigabit Ethernet Adapter.
    4.  Click PROPERTIES.
    5.  Click ADVANCED.
    6.  In the "Property" box, select the option that you want to change.
    7.  Enter the desired value in the "Value" box.
    8.  When finished, click OK.
    9.  Reboot the machine.
    NOTE: The machine must be rebooted before any changed options can
          take effect.

    The parameters supported by the driver are described below.

    Network Address
    ---------------

    Registry Name:	"NetworkAddress"
    Default value:  burned-in adapter address
    Valid range:    0y-00-00-00-00-01 to FE-FF-FF-FF-FF-FF (hexadecimal),
                    where at least the "multicast" bit must not be set
                    (it indicates that the address field contains an
                    individual address)and the "locally administered" bit
                    is set (the address has been assigned by a local
                    administrator). These two bits are first and second
                    bits transmitted on the LAN medium.

    CAUTION: Each individual network MAC address can only be used once in a
             network. Assigning the same address to more than one adapter in
             the same network is not allowed and can cause serious network
             problems.

    To use a network MAC address other than the one burned into the adapter,
    enter the network address in the following hexadecimal format:

        XX-XX-XX-XX-XX-XX (e.g. 02-00-5A-98-12-34).

    If the network address field blank is left blank (or a different number of
    digits is specified), the network address burned into the adapter will
    be used.

    Maximum Frame Size
    ------------------

    Registry Name:	"MaxFrameSize"
    Default value:  1514 (decimal)
    Valid range:    12..9014 (decimal)

    This parameter specifies the maximum frame size in bytes that the driver
    will support. The performance of your network usually increases when
    a large packet size is used. Do not use values larger than 1514 if you
    are not sure if your network supports jumbo frames.

    Wake Up Capabilities
    --------------------

    Registry Name:	"WakeUpModeCap_<n>"	<n> = port designator (A or B)
    Default value:  27 (Magic Packet and Pattern Magic)
    Valid values:   0  = "None"
    		15 = "OS Controlled"
                    25 = "Magic Packet"
                    26 = "Pattern Match"
    		27 = "Magic Packet and Pattern Match"
                    28 = "Link Change"

    - "None"                wake on LAN capabilities are disabled
    - "OS Controlled"	wake up with the default settings
    		 	provided through the OS from Hibernate or Standby
                            state
    - "Magic Packet" 	wake up with MagicPacket from ShutDown state,
    		 	OS Controlled from Hibernate or Standby state
    - "Pattern Match"	wake up with a packet containing a special pattern
    		  	from ShutDown state, OS Controlled from Hibernate
    		  	or Standby state
    - "Magic Packet
       and Pattern Match"	wake up with both from ShutDown state, OS Controlled
    		        from Hibernate or Standby state
    - "Link Change"		wake up with link change from ShutDown state,
    			OS Controlled from Hibernate or Standby state

    This parameter is only available for V2.0 copper versions of the Marvell
    Yukon Gigabit Ethernet Adapter.

    Link Speed
    ----------

    Registry Name:	"Speed_<n>"	<n> = port designator (A or B)
    Default value:  1 (Auto)
    Valid values:   1 = "Auto"
                    2 = "10"
                    3 = "100"
                    4 = "1000"

    - "Auto"        Auto-negotiate Speed
    - "10"          Force Speed to 10 MBit
    - "100"         Force Speed to 100 MBit
    - "1000"        Force Speed to 1000 MBit

    This parameter is only available for V2.0 copper versions of the Marvell
    Yukon Gigabit Ethernet Adapter.

    Number of Receive Buffers
    -------------------------

    Registry Name:	"MaxReceives"
    Default value:  50 (decimal)
    Valid range:    3..500 (decimal)

    This parameters defines the number of receive buffers allocated by the
    driver. If the system does not have enough resources the driver will fail
    to load. Increasing this value may improve performance.

    Number of Transmit Buffers
    --------------------------

    Registry Name:	"MaxTransmits"
    Default value:  50 (decimal)
    Valid range:    4..200 (decimal)

    This parameters defines the number of transmit buffers allocated by the
    driver. If the system does not have enough resources the driver will
    fail to load. Increasing this value may improve performance.

    Interrupt Moderation
    --------------------

    Registry Name:	"Moderate"
    Default value:  1 (On)
    Valid values:   1 = "On"
                    0 = "Off"

    If more than the specified rate of interrupts occur, the function
    Interrupt Moderation groups these interrupts so that several data packets
    can be handled per interrupt. This will lead to lower CPU utilization
    but may increase the latency.

    Max IRQ per Sec
    ---------------

    Registry Name:	"FixedIntMod"
    Default value:  5000 (decimal)
    Valid range:    1000..30000 (decimal)

    This parameter specifies the interrupt rate for Interrupt Moderation. If
    Interrupt Moderation is set to "Off" it will be ignored.

    AutoNegotiation
    ---------------

    Registry Name:	"AutoNegotiation_<n>"  <n> = port designator (A or B)
    Default value:  1 (On)
    Valid range:    0 = "Off"
                    1 = "On"
                    2 = "Auto-Sense"

    NOTE: If this parameter is set to "Off" and 'DuplexCapabilities' is
          set to "half and full duplex" the driver will override the
          setting and use "On" instead.

    NOTE: Copper adapters do not support "auto-sense". This setting will be
          treated like "On".

    This parameter defines the auto-negotiation mode and can be set for each
    port individually, which is helpful if the port at the other end of the
    cable is limited in its capabilities. Using the default setting, the
    Marvell Yukon Gigabit Ethernet Adapter should
    automatically detect the capabilities of the peer port.

    DuplexCapabilities
    ------------------

    Registry Name:	"DuplexCapabilities_<n>"  <n> = port designator (A or B)
    Default value:  3 (half and full duplex)
    Valid range:    1 = "half duplex"
                    2 = "full duplex"
                    3 = "half and full duplex"

    NOTE: This parameter is ignored if 'AutoNegotiation' is set to "auto-sense".

    This parameter can be used to limit the duplex capabilities the port
    reports during auto-negotiation. This parameter can be set for each port
    individually, which is helpful if the port at the other end of the cable
    cannot handle all possible combinations. Using the default setting, the
    Marvell Yukon Gigabit Ethernet Adapter should
    automatically detect the capabilities of the peer port.

    FlowControl
    -----------

    Registry Name:	"FlowControl_<n>"  <n> = port designator (A or B)
    Default value:  3 (Asymmetrical and Symmetrical Flow Control)
    Valid range:    0 = "No Flow Control"
                    1 = "Asymmetrical Flow Control"
                    2 = "Symmetrical Flow Control"
                    3 = "Asymmetrical and Symmetrical Flow Control"

    Modes:
    - Symmetrical Flow Control: Both link partners are allowed to send
                                PAUSE frames.

    - Asymmetrical and Symmetrical Flow Control: Both or only the remote
                                                 link partner are allowed
                                                 to send PAUSE frames.

    - Asymmetrical Flow Control: Only the local link partner is allowed
                                 to send PAUSE frames.

    - No Flow Control: No link partner is allowed to send PAUSE frames.

    NOTE: This parameter is ignored if 'AutoNegotiation' is set to "Off".

    This parameter can be used to set the flow control capabilities the port
    reports during auto-negotiation. This parameter can be set for each port
    individually, which is helpful if the port at the other end of the cable
    cannot handle all possible combinations. Using the default setting, the
    Marvell Yukon Gigabit Ethernet Adapter should
    automatically detect the capabilities of the peer port.

    Role
    ----
    Registry Name:	"Role_<n>"  <n> = port designator (A or B)
    Default value:  0 (Auto)
    Valid range:    0 = "Auto"
                    2 = "Master"
                    3 = "Slave"

    NOTE: This parameter will be used only for copper adapters.

    For two 1000Base-T ports to communicate, one must take the role of the
    master (providing timing information), while the other must be slave.
    Usually, this is negotiated between the two ports during link
    establishment. If this fails, a port can be forced to a specific setting
    with this parameter.

    Preferred Port
    --------------

    Registry Name:	"PreferredPort"
    Default value:  1 (A)
    Valid range:    1 = "A"
    		2 = "B"

    NOTE: This parameter is only available for dual link adapters.

    Use this parameter to set the preferred port the RLMT (Redundant
    Link Management Technology) will use for all network traffic, if more than
    one port has an active link to the network.

    RLMT Mode
    ---------

    Registry Name:	"RlmtMode"
    Default value:  1 (CLS)
    Valid range:    1 = "CLS"
                    3 = "CLP"
                    7 = "CLPSS"

    NOTE: This parameter is only available for dual link adapters.

    Use this parameter to set the operational mode for the RLMT:

    - "CLS" (Check Link State): RLMT uses the link state reported by the
          adapter hardware for each individual port to determine whether a
          port can be used for all network traffic or not.

    - "CLP" (Check Local Port): In this mode, RLMT monitors the network path
          between the two ports of an adapter by regularly exchanging packets
          between them. This mode requires a network configuration in which
          the two ports "see" each other (i.e. there must not be any router
          between the ports).

    - "CLPSS" (Check Local Ports and Segmentation Status): This mode supports
          the same functions as the CLP mode and additionally checks network
          segmentation by sending BPDU hello packets. Thus, this mode is only
          to be used if Gigabit Ethernet switches are installed on the network
          that have been configured to use the Spanning Tree protocol.

    NOTE: RLMT modes "CLP" and "CLPSS" are designed to operate in
          configurations where a network path between the ports on one adapter
          exists. Moreover, they are not designed to work where adapters are
          connected back-to-back.

## 5 Troubleshooting

    If you should encounter any problems with your Marvell Yukon Gigabit
    Ethernet Adapter, please re-read the instructions above and the
    documentation supplied with the operating system.
    If you do not find a solution, please send us a description of the
    problem.

    *** End of Readme File ***